clang-tools 10.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::clangd::dex::Token > Struct Template Reference

`#include <Token.h>`

## Static Public Member Functions
static clang::clangd::dex::Token | getEmptyKey ()
static clang::clangd::dex::Token | getTombstoneKey ()
static unsigned | getHashValue (const clang::clangd::dex::Token &Tag)
static bool | isEqual (const clang::clangd::dex::Token &LHS, const clang::clangd::dex::Token &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::clangd::dex::Token >

Definition at line 118 of file Token.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::clangd::dex::Token llvm::DenseMapInfo< clang::clangd::dex::Token >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 119 of file Token.h.

References clang::clangd::dex::Token::Sentinel.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::clangd::dex::Token >::getHashValue | ( | const clang::clangd::dex::Token & | Tag | ) |
| inline static

Definition at line 127 of file Token.h.

References clang::clangd::dex::Token::hash_value.

## ◆ getTombstoneKey()

static clang::clangd::dex::Token llvm::DenseMapInfo< clang::clangd::dex::Token >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 123 of file Token.h.

References clang::clangd::dex::Token::Sentinel.

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::clangd::dex::Token >::isEqual | ( | const clang::clangd::dex::Token & | LHS,
|  | const clang::clangd::dex::Token & | RHS
| ) |  |
| inline static

Definition at line 131 of file Token.h.

The documentation for this struct was generated from the following file:

- Token.h